float f, m = 1;                                           // глобальные переменные
 
void setup()                                              // функция начальных установок
{ 
  size(800, 400);                                         // размер окна для рисования  
  background(0,0,0);                                      // закраска фона черным цветом
  smooth(); noStroke();                                   // рисуем все сглаженным и без абриса
  frameRate(25);                                          // частота рисования - раз(кадров) в секунду 
}

void draw()                                               // функция рисования, вызывается n - раз(кадров) в секунду
{ if(mousePressed)                                        // условие - "если мышка нажата", тогда... выполнять все, что в скобках 
  { fill(0,0,0,3); noStroke(); rect (0,0,799,399);        // плавно "гасим" картинку, последняя цифра - прозрачность 
    float r = 7 + 50 * abs(sin (f));                      // в локальную переменную - пульсирующий радиус 
    r *= m = (m + 0.05 * dist(pmouseX,pmouseY,mouseX,mouseY)) * 0.7;          // домножаем на резвость мышки
    float cr = 200 + random(55), cg = 115 + random(30), cb = 55 + random(15); // задаем почти случайный цвет - R, G, B  
    fill(cr, cg, cb); stroke(cr + 25, cg + 25, cb + 25);  // закраска и контур
    strokeWeight(1.5); ellipse (mouseX, mouseY, r, r);    // рисуем круг - оба радиуса равны
    f = f + 0.15;                                         // немного наращиваем значение переменной, без этого - не пульсирует
  }
  noFill(); strokeWeight(1); stroke(35,35,35); rect (0, 0, width - 1, height - 1);
}                                                         // это все
